Could not resolve all dependencies for configuration ':app:_debugApk'.



  • react-native run-android报的错,是拉取了别人的项目

    A problem occurred configuring project ':app'.

    Could not resolve all dependencies for configuration ':app:_debugApk'.
    A problem occurred configuring project ':react-native-image-crop-picker'.
    Could not resolve all dependencies for configuration ':react-native-image-crop-picker:_debugPublishCopy'.
    Could not find com.android.support:appcompat-v7:27.1.0.
    Searched in the following locations:
    file:/C:/Users/Administrator/AppData/Local/Android/Sdk/extras/android/m2repository/com/android/support/appcompat-v7/27.1.0/appcompat-v7-27.1.0.pom
    file:/C:/Users/Administrator/AppData/Local/Android/Sdk/extras/android/m2repository/com/android/support/appcompat-v7/27.1.0/appcompat-v7-27.1.0.jar
    file:/E:/360MoveData/Users/Administrator/Documents/demo/demo/RN/android/sdk-manager/com/android/support/appcompat-v7/27.1.0/appcompat-v7-27.1.0.jar
    Required by:
    MHCRMApp:react-native-image-crop-picker:unspecified > com.facebook.react:react-native:0.51.0
    Could not find com.android.support:appcompat-v7:27.1.0.
    Searched in the following locations:
    file:/C:/Users/Administrator/AppData/Local/Android/Sdk/extras/android/m2repository/com/android/support/appcompat-v7/27.1.0/appcompat-v7-27.1.0.pom
    file:/C:/Users/Administrator/AppData/Local/Android/Sdk/extras/android/m2repository/com/android/support/appcompat-v7/27.1.0/appcompat-v7-27.1.0.jar
    file:/E:/360MoveData/Users/Administrator/Documents/demo/demo/RN/android/sdk-manager/com/android/support/appcompat-v7/27.1.0/appcompat-v7-27.1.0.jar
    Required by:
    MHCRMApp:react-native-image-crop-picker:unspecified > com.github.yalantis:ucrop:2.2.2-native


Log in to reply